<?php
date_default_timezone_set('America/Lima');
class cTraspaso{
    
    
    
	 
function verTransito($cat_id,$lab_id,$alm_ori,$alm_des,$tra_est){
	$sql="SELECT sum(td.tb_traspasodetalle_can) as 'cantidadtransito' FROM tb_traspasodetalle td
	inner join tb_traspaso tr on tr.tb_traspaso_id = td.tb_traspaso_id
	where tr.tb_traspaso_xac=1 and td.tb_catalogo_id = '$cat_id' and td.tb_marca_id = '$lab_id' and tr.tb_almacen_id_ori = '$alm_ori' 
	and tr.tb_almacen_id_des = '$alm_des' and tr.tb_traspaso_est = '$tra_est' ";
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;
	}
	
	
function verUltimoTraspaso($almori_id,$usu_id){
	$sql="SELECT max(tb_traspaso_id) as 'ultimotraspaso' FROM tb_traspaso where tb_almacen_id_ori='$almori_id' and tb_usuario_id = '$usu_id'  ";
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;
	}
    
	function insertar($fec,$numdoc,$obs,$alm_ori,$alm_des,$usu_id,$est){
		$now =  date('Y-m-d h:i:s a');
		$sql = "INSERT INTO tb_traspaso(
		`tb_traspaso_reg` ,
		`tb_traspaso_fec` ,
		`tb_traspaso_numdoc` ,
		`tb_traspaso_obs` ,
		`tb_almacen_id_ori` ,
		`tb_almacen_id_des` ,		
		`tb_usuario_id`,
		`tb_traspaso_est`
		)
		VALUES (
		'$now','$fec','$numdoc' ,'$obs','$alm_ori',  '$alm_des',  '$usu_id', '$est');"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}

	function insertar_detalle($cat_id,$mar_id,$can,$tra_id){
		$sql = "INSERT INTO tb_traspasodetalle(
		`tb_catalogo_id` ,
		`tb_marca_id` ,
		`tb_traspasodetalle_can` ,
		`tb_traspaso_id`
		)
		VALUES (
		'$cat_id','$mar_id','$can','$tra_id'
		);"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	function ultimoInsert(){
		$sql = "select max(tb_traspaso_id) as 'id' from tb_traspaso "; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}

	function mostrar_filtro($fec1,$fec2,$alm_ori,$alm_des)
	{
		$sql="SELECT t.*, ao.tb_almacen_nom AS alm_ori, ad.tb_almacen_nom AS alm_des
		FROM tb_traspaso t
		INNER JOIN tb_almacen ao ON t.tb_almacen_id_ori=ao.tb_almacen_id
		INNER JOIN tb_almacen ad ON t.tb_almacen_id_des=ad.tb_almacen_id
		WHERE tb_traspaso_xac=1
		AND tb_traspaso_fec BETWEEN '$fec1' and '$fec2' ";

		if($alm_ori>0)$sql.=" AND ao.tb_almacen_id = $alm_ori ";
		if($alm_des>0)$sql.=" AND ad.tb_almacen_id = $alm_des ";

		$sql.="ORDER BY tb_traspaso_id";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}

	function mostrarUno($id)
	{
		$sql="SELECT t.*, ao.tb_almacen_nom AS alm_ori, ad.tb_almacen_nom AS alm_des,ur.tb_usuario_use as 'usureg',uv.tb_usuario_use as 'usuval'
		FROM tb_traspaso t
		inner join tb_usuario ur on ur.tb_usuario_id = t.tb_usuario_id
		left join tb_usuario uv on uv.tb_usuario_id = t.tb_traspaso_usuval
		INNER JOIN tb_almacen ao ON t.tb_almacen_id_ori=ao.tb_almacen_id
		INNER JOIN tb_almacen ad ON t.tb_almacen_id_des=ad.tb_almacen_id
		WHERE tb_traspaso_id=$id";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function mostrar_codigo(){
		$sql="SELECT MAX(tb_traspaso_id) as numero 
		FROM tb_traspaso;";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function mostrar_traspaso_detalle($tra_id){
		$sql="SELECT * from tb_traspasodetalle td 
		inner join tb_catalogo ct on ct.tb_catalogo_id = td.tb_catalogo_id
        inner join tb_producto pro on pro.tb_producto_id = ct.tb_producto_id
        inner join tb_empaque em on em.tb_empaque_id = pro.tb_empaque_id
        inner join tb_productomarca pm on ct.tb_catalogo_id = pm.tb_catalogo_id
		INNER JOIN tb_marca m ON td.tb_marca_id = m.tb_marca_id
		INNER JOIN tb_unidad u ON ct.tb_unidad_id = u.tb_unidad_id
		WHERE td.tb_traspaso_id='$tra_id' order by m.tb_marca_nom asc ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function modificar($id, $fec, $ref){
		$sql = "UPDATE tb_traspaso SET  
		`tb_traspaso_fec` =  '$fec',
		`tb_traspaso_ref` =  '$ref' 
		WHERE  tb_traspaso_id =$id;"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	function modificar_act($id, $act){
		$sql = "UPDATE tb_traspaso SET  
		`tb_traspaso_act` =  '$act' 
		WHERE  tb_traspaso_id =$id;"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	function verificaE($id){
		$sql = "SELECT * 
		FROM  `tb_usosoftware` 
		WHERE tb_software_id =$id";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}

	function modificar_campo($id,$campo,$valor){
		$sql = "UPDATE tb_traspaso SET
		`tb_traspaso_$campo` =  '$valor' 
		WHERE tb_traspaso_id =$id;"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}


	function eliminar($id){
		$sql="DELETE FROM tb_traspaso WHERE tb_traspaso_id=$id";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}

	function mostrar_todos_por_empresa_almacen_destino($emp_id, $alm_id){
		$sql="SELECT *
		FROM tb_traspaso t 
		
		WHERE t.tb_empresa_id = $emp_id 
		AND t.tb_almacen_id_des = $alm_id 
		ORDER BY t.tb_traspaso_fec DESC";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function mostrar_todos_por_empresa_almacen_origen($emp_id, $alm_id){
		$sql="SELECT *
		FROM tb_traspaso t 
		WHERE t.tb_empresa_id = $emp_id 
		AND t.tb_almacen_id_ori = $alm_id 
		ORDER BY t.tb_traspaso_fec DESC";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}


	function delete_obtener_car($id){
		$sql="SELECT * FROM tb_traspasodetalle td 
		inner join tb_traspaso t on td.tb_traspaso_id = t.tb_traspaso_id 
		where t.tb_traspaso_id ='$id'";
		//echo $sql;exit;
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}

	function modificar_xac_kardex_traspaso($id){ 
		$sql = "UPDATE tb_kardex SET tb_kardex_xac = 0 WHERE tb_modulo_id = 13 AND tb_kardex_idm ='$id'"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}


//función agregada por marlon
	function complete_por_campo($campo,$dato,$filas, $modo = false){
		//Modificado por marlon
		$column = $modo ? $campo : 'tb_traspaso_'.$campo; 

		$sql = "SELECT 
		* 
		FROM tb_traspaso 
		WHERE $column LIKE '%$dato%' 
		GROUP BY $column 
		LIMIT 0,12";

		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}

}
?>